Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001781Piwigometadatapublic2010.07.26 23:092011.02.03 12:32
Reporterplg 
Assigned Toplg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1.2 
Target Version2.2.0RC2Fixed in Version2.2.0RC2 
Summary0001781: Lightroom on MacOs, failure on accents
Descriptionhttp://piwigo.org/forum/viewtopic.php?id=16251 [^]

On MacOSX, Lightroom uses the MacRoman encoding for IPTC and Piwigo does not convert it to UTF-8 yet. The main problem is not conversion, the problem is detection.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0004742)
plg (manager)
2011.01.31 12:43

For now, you can use the new plugin "IPTC from Mac" http://piwigo.org/ext/extension_view.php?eid=495 [^]

One way to detect if conversion must be applied is to search in the EXIF metadata:

    [Software] => Adobe Photoshop CS3 Macintosh

and have the list of softwares that produces the MacRoman encoding
(0004750)
plg (manager)
2011.01.31 22:17

No, the Exif software is not reliable. With a photo exported from Lightroom on Macintosh the EXIF software is "Ver.2.00".
(0004782)
plg (manager)
2011.02.03 12:32

Let's say the problem is fixed with the plugin. I have no idea how to have "automatic detection" of the MacRoman encoding.
(0004783)
plg (manager)
2011.02.03 12:32

See http://piwigo.org/ext/extension_view.php?eid=495 [^]

- Issue History
Date Modified Username Field Change
2010.07.26 23:09 plg New Issue
2010.07.26 23:09 plg Status new => assigned
2010.07.26 23:09 plg Assigned To => plg
2010.07.26 23:09 plg browser => any
2010.07.26 23:09 plg Web server => Apache 1.3.x
2011.01.18 15:52 plg Target Version 2.2.0RC1 => 2.2.0RC2
2011.01.31 12:43 plg Note Added: 0004742
2011.01.31 22:17 plg Note Added: 0004750
2011.02.03 12:32 plg Note Added: 0004782
2011.02.03 12:32 plg Note Added: 0004783
2011.02.03 12:32 plg Status assigned => closed
2011.02.03 12:32 plg Resolution open => fixed
2011.02.03 12:32 plg Fixed in Version => 2.2.0RC2


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker